import 'package:parodia_admin/core/dto/base.dto.dart';

class ProductPriceDTO extends BaseDTO {
  double? price;
  double? discountedPrice;
  String? currency;

  ProductPriceDTO(
      {super.id,
      super.createdAt,
      super.updatedAt,
      super.isActive,
      super.isDeleted,
      this.price,
      this.discountedPrice,
      this.currency});

  ProductPriceDTO.fromJson(Map<String, dynamic> json) : super.fromJson(json) {
    price = json['price'] != null
        ? double.tryParse(json['price'].toString())
        : null;
    discountedPrice = json['discountedPrice'] != null
        ? double.tryParse(json['discountedPrice'].toString())
        : null;
    currency = json['currency'];
  }

  @override
  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = super.toJson();
    data['price'] = price;
    data['discountedPrice'] = discountedPrice;
    data['currency'] = currency;
    return data;
  }
}
